function SetupPOIStates(POIState)
  local poiSearchParameters_Auto = {
    FindArgs = {
      "FREYA",
      "AUTO",
      MatchAll = true
    },
    Filter = function(poi, ads, ai, global, constants)
      return true
    end
  }
  function POIState:GetSearchParameters(ai, global, constants)
    local parameters = {}
    table.insert(parameters, poiSearchParameters_Auto)
    return parameters
  end
end
return {
  SetupPOIStates = SetupPOIStates
}
